package com.dgtis.dorm.manager.db.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import java.util.Date;

/**
 * 用户预约叫号记录表 reservation_record
 * 
 * @author ruoyi
 * @date 2019-07-10
 */
public class ReservationRecord
{
	private static final long serialVersionUID = 1L;
	
	/** 主键 */
	private String id;
	/** 预约事项id */
	private String serviceId;
	/** 预约事项名称 */
	private String serviceName;
	/** 小程序端用户id */
	private String userId;
	/** 部门id */
	private String deptId;
	/** 部门名称 */
	private String deptName;
	/** 申报人姓名 */
	private String applicantName;
	/** 申报人身份证 */
	private String applicantIdCard;
	/** 预约日期 */
	private Date reservationDate;
	/** 预约时段(AM：上午，PM：下午) */
	private String reservationInterval;
	/** 预约号码 */
	private Integer reservationNumber;
	/** 预约状态(1已成功、2已取消、3已失约、4已完结) */
	private String reservationState;
	/** 添加时间 */
	private Date addTime;
	/** 添加人 */
	private String addUser;
	/** 修改时间 */
	private Date modifyTime;
	/** 修改人 */
	private String modifyUser;
	/** 删除标记 */
	private String delFlag;

	public void setId(String id) 
	{
		this.id = id;
	}

	public String getId() 
	{
		return id;
	}
	public void setServiceId(String serviceId) 
	{
		this.serviceId = serviceId;
	}

	public String getServiceId() 
	{
		return serviceId;
	}
	public void setServiceName(String serviceName) 
	{
		this.serviceName = serviceName;
	}

	public String getServiceName() 
	{
		return serviceName;
	}
	public void setUserId(String userId) 
	{
		this.userId = userId;
	}

	public String getUserId() 
	{
		return userId;
	}
	public void setDeptId(String deptId) 
	{
		this.deptId = deptId;
	}

	public String getDeptId() 
	{
		return deptId;
	}
	public void setDeptName(String deptName) 
	{
		this.deptName = deptName;
	}

	public String getDeptName() 
	{
		return deptName;
	}
	public void setApplicantName(String applicantName) 
	{
		this.applicantName = applicantName;
	}

	public String getApplicantName() 
	{
		return applicantName;
	}
	public void setApplicantIdCard(String applicantIdCard) 
	{
		this.applicantIdCard = applicantIdCard;
	}

	public String getApplicantIdCard() 
	{
		return applicantIdCard;
	}
	public void setReservationDate(Date reservationDate) 
	{
		this.reservationDate = reservationDate;
	}

	public Date getReservationDate() 
	{
		return reservationDate;
	}
	public void setReservationInterval(String reservationInterval) 
	{
		this.reservationInterval = reservationInterval;
	}

	public String getReservationInterval() 
	{
		return reservationInterval;
	}
	public void setReservationNumber(Integer reservationNumber) 
	{
		this.reservationNumber = reservationNumber;
	}

	public Integer getReservationNumber() 
	{
		return reservationNumber;
	}
	public void setReservationState(String reservationState) 
	{
		this.reservationState = reservationState;
	}

	public String getReservationState() 
	{
		return reservationState;
	}
	public void setAddTime(Date addTime) 
	{
		this.addTime = addTime;
	}

	public Date getAddTime() 
	{
		return addTime;
	}
	public void setAddUser(String addUser) 
	{
		this.addUser = addUser;
	}

	public String getAddUser() 
	{
		return addUser;
	}
	public void setModifyTime(Date modifyTime) 
	{
		this.modifyTime = modifyTime;
	}

	public Date getModifyTime() 
	{
		return modifyTime;
	}
	public void setModifyUser(String modifyUser) 
	{
		this.modifyUser = modifyUser;
	}

	public String getModifyUser() 
	{
		return modifyUser;
	}
	public void setDelFlag(String delFlag) 
	{
		this.delFlag = delFlag;
	}

	public String getDelFlag() 
	{
		return delFlag;
	}

    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("serviceId", getServiceId())
            .append("serviceName", getServiceName())
            .append("userId", getUserId())
            .append("deptId", getDeptId())
            .append("deptName", getDeptName())
            .append("applicantName", getApplicantName())
            .append("applicantIdCard", getApplicantIdCard())
            .append("reservationDate", getReservationDate())
            .append("reservationInterval", getReservationInterval())
            .append("reservationNumber", getReservationNumber())
            .append("reservationState", getReservationState())
            .append("addTime", getAddTime())
            .append("addUser", getAddUser())
            .append("modifyTime", getModifyTime())
            .append("modifyUser", getModifyUser())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
